<?xml version="1.0"?>
<tryton>
    <data>
        <record model="res.group" id="group_forex">
            <field name="name">Forex</field>
        </record>
        <record model="res.group" id="group_forex_admin">
            <field name="name">Forex Administration</field>
            <field name="parent" ref="group_forex"/>
        </record>
        <record model="res.user-res.group" id="user_admin_group_forex">
            <field name="user" ref="res.user_admin"/>
            <field name="group" ref="group_forex"/>
        </record>
        <record model="res.user-res.group" id="user_admin_group_forex_admin">
            <field name="user" ref="res.user_admin"/>
            <field name="group" ref="group_forex_admin"/>
        </record>

        <record model="ir.ui.icon" id="forex_icon">
            <field name="name">tradon-forex</field>
            <field name="path">icons/tradon-forex.svg</field>
        </record>

        <record model="ir.ui.view" id="view_forex_form">
            <field name="model">forex.forex</field>
            <field name="type">form</field>
            <field name="name">forex_form</field>
        </record>
        <record model="ir.ui.view" id="view_forex_list">
            <field name="model">forex.forex</field>
            <field name="type">tree</field>
            <field name="name">forex_list</field>
        </record>
        <record model="ir.action.act_window" id="act_forex_form">
            <field name="name">Forex</field>
            <field name="res_model">forex.forex</field>
        </record>
        <record model="ir.action.act_window.view" id="act_forex_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="view_forex_list"/>
            <field name="act_window" ref="act_forex_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_forex_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="view_forex_form"/>
            <field name="act_window" ref="act_forex_form"/>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_physical_contract_tree">
            <field name="model">forex.cover.physical.contract</field>
            <field name="type">tree</field>
            <field name="name">forex_cover_physical_contract_tree</field>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_physical_contract_tree2">
            <field name="model">forex.cover.physical.contract</field>
            <field name="type">tree</field>
            <field name="name">forex_cover_physical_contract_tree2</field>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_physical_contract_form">
            <field name="model">forex.cover.physical.contract</field>
            <field name="type">form</field>
            <field name="name">forex_cover_physical_contract_form</field>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_physical_sale_tree">
            <field name="model">forex.cover.physical.sale</field>
            <field name="type">tree</field>
            <field name="name">forex_cover_physical_sale_tree</field>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_physical_sale_tree2">
            <field name="model">forex.cover.physical.sale</field>
            <field name="type">tree</field>
            <field name="name">forex_cover_physical_sale_tree2</field>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_physical_sale_form">
            <field name="model">forex.cover.physical.sale</field>
            <field name="type">form</field>
            <field name="name">forex_cover_physical_sale_form</field>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_fees_tree">
            <field name="model">forex.cover.fees</field>
            <field name="type">tree</field>
            <field name="name">forex_cover_fees_tree</field>
        </record>

        <record model="ir.ui.view" id="forex_bi_view_graph2">
            <field name="model">forex.bi</field>
            <field name="type">form</field>
            <field name="name">forex_bi_graph</field>
        </record>
        <record model="ir.action.act_window" id="act_forex_bi">
            <field name="name">Forex BI</field>
            <field name="res_model">forex.bi</field>
        </record>
        <record model="ir.action.act_window.view" id="act_forex_bi_view">
            <field name="sequence" eval="30"/>
            <field name="view" ref="forex_bi_view_graph2"/>
            <field name="act_window" ref="act_forex_bi"/>
        </record>

        <record model="ir.ui.view" id="view_forex_cover_fees_form">
            <field name="model">forex.cover.fees</field>
            <field name="type">form</field>
            <field name="name">forex_cover_fees_form</field>
        </record>
        <record model="ir.action.act_window.domain" id="act_forex_form_domain_to_invoice">
            <field name="name">To execute</field>
            <field name="sequence" eval="10"/>
            <field name="domain" eval="[('move', '=', None)]" pyson="1"></field>
            <field name="count" eval="True"></field>
            <field name="act_window" ref="act_forex_form"/>
        </record>
        <record model="ir.action.act_window.domain" id="act_forex_form_domain_all">
            <field name="name">All</field>
            <field name="sequence" eval="9999"/>
            <field name="domain"></field>
            <field name="act_window" ref="act_forex_form"/>
        </record>

        <record model="ir.model.access" id="access_forex">
            <field name="model">forex.forex</field>
            <field name="perm_read" eval="False"/>
            <field name="perm_write" eval="False"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>
        <record model="ir.model.access" id="access_forex_forex">
            <field name="model">forex.forex</field>
            <field name="group" ref="group_forex"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="True"/>
            <field name="perm_delete" eval="True"/>
        </record>
        <record model="ir.model.button" id="forex_invoice_button">
            <field name="model">forex.forex</field>
            <field name="name">invoice</field>
            <field name="string">Invoice</field>
        </record>
        <record model="ir.model.button" id="forex_execute_button">
            <field name="model">forex.forex</field>
            <field name="name">execute</field>
            <field name="string">Execute</field>
        </record>
        <record model="ir.action.wizard" id="act_forex_report">
            <field name="name">Forex report</field>
            <field name="wiz_name">forex.report</field>
        </record>

        <menuitem
            name="Forex"
            sequence="100"
            id="menu_forex"
            icon="tradon-forex" />
        <menuitem
            name="Contract"
            action="act_forex_form"
            parent="menu_forex"
            sequence="10"
            id="menu_contract" />
        <menuitem
            name="Forex Report"
	        parent="menu_forex"
	        action="act_forex_bi"
	        sequence="20"
	        id="menu_forex_bi"/>
        <menuitem
            name="Forex Report"
	        parent="purchase_trade.menu_global_reporting"
	        action="act_forex_bi"
	        sequence="25"
	        id="menu_gr_forex_bi"/>
        <!-- <menuitem
            name="Cash Forecast"
	        parent="menu_forex"
	        action="act_cash_forecast"
	        sequence="20"
	        id="menu_cf"/> -->
    </data>
</tryton>
